Package org.apache.wiki.search

## Class SearchMatcher.SearchResultImpl

- java.lang.Object
- - org.apache.wiki.search.SearchMatcher.SearchResultImpl

All Implemented Interfaces:
  `SearchResult`, `SearchResult`

Enclosing class:
  SearchMatcher

    public class SearchMatcher.SearchResultImpl
    extends java.lang.Object
    implements SearchResult

A local search result.

### Constructor Summary

Constructors
`SearchResultImpl​(java.lang.String name, int score)` Create a new SearchResult with a given name and a score.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getContexts()` Returns an empty array, since BasicSearchProvider does not support context matching.
`WikiPage` `getPage()` Returns Wikipage for this result.
`int` `getScore()` Returns a score for this match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchResultImpl

    public SearchResultImpl​(java.lang.String name,
                            int score)

Create a new SearchResult with a given name and a score.

Parameters:
  `name` - Page Name
  `score` - A score from 0+

### Method Detail

#### getPage

    public WikiPage getPage()

Returns Wikipage for this result.

Specified by:
  `getPage` in interface `SearchResult`
Specified by:
  `getPage` in interface `SearchResult`
Returns:
  WikiPage

#### getScore

    public int getScore()

Returns a score for this match.

Specified by:
  `getScore` in interface `SearchResult`
Returns:
  Score from 0+

#### getContexts

    public java.lang.String[] getContexts()

Returns an empty array, since BasicSearchProvider does not support context matching.

Specified by:
  `getContexts` in interface `SearchResult`
Returns:
  an empty array